#
# crash core analysis suite
#
Summary: Kernel analysis utility for live systems, netdump, diskdump, kdump, LKCD or mcore dumpfiles
Name: crash
Version: 7.2.8
Release: %mkrel 1
License: GPLv3
Group: Development/Tools
Source: http://people.redhat.com/anderson/crash-%{version}.tar.gz
URL: http://people.redhat.com/anderson
ExclusiveOS: Linux
ExclusiveArch: %{ix86} ia64 x86_64 ppc ppc64 s390 s390x %{arm} aarch64 ppc64le
BuildRequires: pkgconfig(ncurses) 
BuildRequires: pkgconfig(zlib) 
BuildRequires: lzo-devel 
BuildRequires: snappy-devel 
BuildRequires: bison 
BuildRequires: readline-devel
Requires: binutils
Provides: bundled(libiberty)
Provides: bundled(gdb) = 7.6
Patch0: lzo_snappy.patch
Patch1: use_system_readline_v3.patch
Patch2: aarch64_gcc10_fno-common.patch

%description
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%package devel
Requires: %{name} = %{version}, zlib-devel
Summary: kernel crash analysis utility for live systems, netdump, diskdump, kdump, LKCD or mcore dumpfiles
Group: Development/Tools

%description devel
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%prep
%setup -n %{name}-%{version} -q
%autopatch -p1

%build
make RPMPKG="%{version}-%{release}" CFLAGS="%{optflags}" LDFLAGS="%{build_ldflags}"

%install
mkdir -p %{buildroot}%{_bindir}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_mandir}/man8
cp -p crash.8 %{buildroot}%{_mandir}/man8/crash.8
mkdir -p %{buildroot}%{_includedir}/crash
chmod 0644 defs.h
cp -p defs.h %{buildroot}%{_includedir}/crash

%files
%{_bindir}/crash
%{_mandir}/man8/crash.8*
%doc README COPYING3

%files devel
%{_includedir}/*



%changelog
* Sun Apr 05 2020 tv <tv> 7.2.8-1.mga8
+ Revision: 1564908
- 7.2.8
- Update to latest upstream release
- Fix aarch64 build for gcc-10 -fno-common
- Use RPM build flags for LDFLAGS

* Wed Feb 19 2020 umeabot <umeabot> 7.1.9-5.mga8
+ Revision: 1542510
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 tv <tv> 7.1.9-4.mga8
+ Revision: 1476439
- rebuild with new readline

* Sun Sep 23 2018 umeabot <umeabot> 7.1.9-3.mga7
+ Revision: 1296898
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 7.1.9-2.mga7
+ Revision: 1189420
- rebuild for new readline

* Tue Sep 12 2017 tv <tv> 7.1.9-1.mga7
+ Revision: 1153293
- new release

* Tue May 17 2016 tv <tv> 7.1.5-2.mga6
+ Revision: 1016508
- imported package crash

